view-crl(1)

NAME
view-crl - displays important details of an X.509 CRL in PEM or DER format

SYNOPSIS
view-crl crl_file [...]
view-crl [-h | - -help]
view-crl [-v | - -version]

DESCRIPTION
view-crl displays important details of an X.509 CRL in PEM or DER format, including the serial numbers and dates of revoked certificates.

ARGUMENTS
The following options are available:

crl_file ...
    Specifies one or more CRL files to be displayed. "-" is a shortcut for /dev/stdin, i.e. reading the CRL from standard input.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The view-crl tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

view-crl My-CA-CRL.crl

view-crl /usr/lib/python3.12/test/certdata/revocation.crl

curl -o google-crl.der.crl http://c.pki.goog/wr2/GSyT1N4PBrg.crl && view-crl google-crl.der.crl

curl --output - http://c.pki.goog/wr2/GSyT1N4PBrg.crl | view-crl -

view-crl --help

view-crl -h

view-crl --version

view-crl -v

SEE ALSO
check-certificate(1), der2pem(1), extract-pem(1), pem2der(1), test-tls-connection(1), view-certificate(1), openssl(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh